Show / Hide Table of Contents

# Class SAMGauge

In-memory SAM job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<SamuraiGauge>
SAMGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class SAMGauge : JobGaugeBase<SamuraiGauge>

### Properties

| Improve this Doc View Source

#### HasGetsu

Gets a value indicating whether the Getsu Sen is active.

##### Declaration

    public bool HasGetsu { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### HasKa

Gets a value indicating whether the Ka Sen is active.

##### Declaration

    public bool HasKa { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### HasSetsu

Gets a value indicating whether the Setsu Sen is active.

##### Declaration

    public bool HasSetsu { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### Kaeshi

Gets the currently active Kaeshi ability.

##### Declaration

    public Kaeshi Kaeshi { get; }

##### Property Value

Type | Description
--- | ---
Kaeshi |

| Improve this Doc View Source

#### Kenki

Gets the current amount of Kenki available.

##### Declaration

    public byte Kenki { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MeditationStacks

Gets the amount of Meditation stacks.

##### Declaration

    public byte MeditationStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Sen

Gets the active Sen.

##### Declaration

    public Sen Sen { get; }

##### Property Value

Type | Description
--- | ---
Sen |